unit uMessungen;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, mTNetzHW;

type
  TForm1 = class(TForm)
    bMessungen: TButton;
    mAus: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure bMessungenClick(Sender: TObject);
  private
    NetzHW : TNetzHW;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  netzHW := TNetzHW.create;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  netzHW.Free;
end;

procedure TForm1.bMessungenClick(Sender: TObject);
var
  c,n1,n2 : TLargeInteger;
  t       : real;
  ein     : boolean;
begin
  QueryPerformanceFrequency(c);
  mAus.Lines.Add('c = '+IntToStr(c));
  QueryPerformanceCounter(n1);
  NetzHW.Start(2);
  QueryPerformanceCounter(n2);
  t := (n2-n1)/c;
  mAus.Lines.Add('Start(2) : '+FloatToStr(t)+'s');
  QueryPerformanceCounter(n1);
  NetzHW.SetAus(true);
  QueryPerformanceCounter(n2);
  t := (n2-n1)/c;
  mAus.Lines.Add('SetAus(true) : '+FloatToStr(t)+'s');
  QueryPerformanceCounter(n1);
  ein := NetzHW.GetEin;
  QueryPerformanceCounter(n2);
  t := (n2-n1)/c;
  mAus.Lines.Add('ein := GetEin : '+FloatToStr(t)+'s');
  QueryPerformanceCounter(n1);
  NetzHW.Stop;
  QueryPerformanceCounter(n2);
  t := (n2-n1)/c;
  mAus.Lines.Add('Stop : '+FloatToStr(t)+'s');
end;

end.
